###########################################################################
## Talk System Data Base
###########################################################################

import Talk


###########################################################################
## Standard Dialogs
###########################################################################



TSDB.Alone = ["      , !",
	      "     ?",
	      "       ?",
	      "  :     !"]

              
TSDB.Ignore = ["   .",
               "   .",
               "      ",
               "---,   ?"]
              
              
##-------------------------------------------------------------
## Glofror
##-------------------------------------------------------------


TSDB.Dlg ["Glofror"]={
	'Hola': {
	    'Text':
	     """!      ,     ! """\
	     """    , ?  ,      . """\
	     """    ,  ,  ! """,
            'Answers': ['Soy yo', 'Soy yo sin orcos', 'Dejame']
        },
	'Pues tu veras': {
	    'Text':
	     """    ,    . -  ,  """\
	     """   . """,
            'Answers': [],
            'CallBack':'VayamosDentro',
	    'NewDlg': None
        },
	'Quedan orcos': {
	    'Text':
	     """ ,     ,    .   , """\
	     """,      . """\
	     """-    . """, 
            'Answers': ['Yo me encargo','Si hay que ir se va']
        },
	'AStar': {
	    'Text':
	     """ ,  ,  ,  .    .""", 
            'Answers': [],
            'CallBack':'VayaMdePathFinding',
	    'NewDlg': 'AStar'
        },
	'No quedan orcos': {
	    'Text':
	     """       .   , """\
	     """,      . -  , """\
	     """,      .""", 
            'Answers': [],
            'HideDelay':25, 
            'CallBack':'VayamosDentro',
	    'NewDlg': 'Vienes de Gondor'
        },
	'A por ellos': {
	    'Text':
	     """  !     ! """, 
            'Answers': [],
            'CallBack':'VayamosDentro',
	    'NewDlg': 'Alguno mas'
        },
	'A por ellos2': {
	    'Text':
	     """  !     ! """, 
            'Answers': [],
	    'NewDlg': None
        },        
	'Si tu lo dices': {
	    'Text':
	     """   !       . """\
	     """    .   ,     . """, 
            'Answers': [],
            'HideDelay':25, 
            'CallBack':'VayamosDentro',
	    'NewDlg': None
        },
	'Lo intento otra vez': {
	    'Text':
	     """,   ?         """\
	     """,        ? """,
            'Answers': ['TedichoqNo', 'Bueno vale'],
	    'NewDlg': None
        },
	'Alguno mas': {
	    'Text':
	     """ !    !     ? """,
            'Answers': ['Uno grande', 'Ninguno'],
	    'NewDlg': 'Vienes de Gondor'
        },
	'Vienes de Gondor': {
	    'Text':
	     """   , ?...   ,       . """\
	     """    ,   ?""",
            'Answers': ['Iba tras los orcos']
        },
	'Una historia extraa': {
	    'Text':
	     """    !     , """\
	     """    .  ,       """\
	     """  ?.  ,     ?...   !   """\
	     """ ,      ?     .""",
	    'ExtraDlg': ['Elglar',
	                 """ !    ,    ... """\
	                 """        .   ..."""\
	                 """      ."""],
            'Answers': ['SoyElla', 'Montaas']
	},
	'Lord': {
	    'Text':
	     """      .    ,      """\
	     """ ,      .      """\
	     """  ,    .""",
            'Answers': ['SoyElla','Qu pas']
	},
	'Puente roto': {
	    'Text':
	     """ ,    ,  ,  . """\
	     """          ,    """\
	     """  ,         .""",
            'Answers': ['SoyElla']
	},
	'Me temo que no': {
	    'Text':
	     """  ,   ,      ,  .     ,  """\
	     """  ,  ,  !   ,     """\
	     """ - .     , ? """,
	    'ExtraDlg': ['Elglar',
	                 """      ,        ."""],
            'Answers': ['Montaas'],
	    'ReplaceAns':{'Montaas':['Qu pas']},
	    'NewDlg': None
	},
	'Mas datos': {
	    'Text':
	     """    , .     ,     . """\
	     """   ,   ,  .     . .. """\
	     """...      ...""",
            'HideDelay':30, 
            'Answers': [],
            'CallBack':'AddJournalEntry',
	    'NewDlg': None
        },
	'Por poco': {
	    'Text':
	     """,   ...! """\
	     """    , ? """,
            'Answers': ['Bien'],
	    'NewDlg': None
        },
	'Nosotros nos vamos': {
	    'Text':
	     """...    ,   ! """\
	     """     .   .., """\
	     """    .  """\
	     """     , ! """,
            'HideDelay':25, 
            'Answers': [],
	    'NewDlg': None
        },
	'Lo has conseguido': {
	    'Text':
	     """,    ! """\
	     """    !       ,   , """\
	     """          .""",
            'Answers': ['Mejor nos vamos'],
	    'NewDlg': None
        },
	'Nos vamos juntos': {
	    'Text':
	     """     ...     ... """\
	     """     .      """\
	     """  ? """,
            'Answers': ['Noche'],
	    'NewDlg': None
	}
}


TSDB.Ans ["Glofror"]={
	'Soy yo': {
	    'Text':
	     """,      !   , """\
	     """     .   . """,
	    'NextDlg': 'Quedan orcos',
	    'Enabled':1
        },
	'Soy yo sin orcos': {
	    'Text':
	     """,      !   , """\
	     """     .   .""",
	    'NextDlg': 'No quedan orcos',
	    'Enabled':0
        },
	'Dejame': {
	    'Text':
	     """  !      . """,
	    'NextDlg': 'Pues tu veras',
	    'Enabled':1
        },
	'Yo me encargo': {
	    'Text':
	     """  .  ,       . """,
	    'NextDlg': 'A por ellos',
	    'Journal': 'BuscaOrco',
	    'Enabled':1
        },
	'Si hay que ir se va': {
	    'Text':
	     """       .    ,   .""",
	    'NextDlg': 'Si tu lo dices',
	    'Enabled':1
        },
	'Bueno vale': {
	    'Text':
	     """  .      ,    . """,
	    'NextDlg': 'A por ellos2',
	    'Journal': 'BuscaOrco',
	    'CallBack': 'Perdonado',
	    'Enabled':1
        },
	'TedichoqNo': {
	    'Text':
	     """   ,        """\
	     """     .""",
	    'NextDlg': None,
	    'Enabled':1
        },
	'Uno grande': {
	    'Text':
	     """...    ,    !    ! """\
	     """     !""",
	    'NextDlg': 'Vienes de Gondor',
	    'Enabled':1
        },
	'Ninguno': {
	    'Text':
	     """   .      """,
	    'NextDlg': 'Vienes de Gondor',
	    'Enabled':1
        },
	'Iba tras los orcos': {
	    'Text':
	     """         .     . """ \
	     """   . ,  -    ,    . """,
	    'NextDlg': 'Una historia extraa',
	    'Enabled':1
        },
	'SoyElla': {
	    'Text':
	     """ ?    ? """,
	    'NextDlg': 'Me temo que no',
	    'Journal': 'QuienSoy',
	    'Enabled':1
        },
	'Montaas': {
	    'Text':
	     """    ? """,
	    'NextDlg': 'Lord',
	    'Enabled':1
        },
	'Qu pas': {
	    'Text':
	     """   ? """,
	    'NextDlg': 'Puente roto',
	    'Journal': 'Adrinnor',	    
	    'Enabled':1
        },
	'Bien': {
	    'Text':
	     """  .    ...""",
	    'NextDlg': 'Nosotros nos vamos',
	    'Enabled':1
        },
	'Mejor nos vamos': {
	    'Text':
	     """       .   ,    ,    """\
	     """      ....""",
	    'NextDlg': 'Nos vamos juntos',
	    'Enabled':1
        },
	'Noche': {
	    'Text':
	     """ ,    ...""",
	    'NextDlg': None,
	    'Enabled':1,
            'CallBack':'ToBeContinued'
        }
}
##-------------------------------------------------------------
## Elglar
##-------------------------------------------------------------

TSDB.Dlg ["Elglar"]={
	'Hola': {
	    'Text':
	     """   !        ! """\
	     """     ! """\
	     """   ...    " "! """\
	     """,  ,    ...""",
            'Answers': ['Gracias'],
	    'NewDlg': None
        },
	'Gworan': {
	    'Text':
	     """ !  ,    ? """,
            'Answers': ['Qu es el Gworan'],
	    'NewDlg': None
        },
	'Gworan1': {
	    'Text':
	     """, !     .""",
	    'ExtraDlg': ['Glofror',
	                 """   ! .... ,     """\
	                 """   ."""],
            'Answers': ['No me has ofendido'],
	    'NewDlg': None
        },
	'Gworan2': {
	    'Text':
	     """ ,   . ... ,    . """\
	     """ :   , ,    """\
	     """  , -,     ...""",
	     'CallBack':'UnPocoDeMusicaON', 
            'Answers': ['Araswen'],
	    'NewDlg': None
        },
	'Gworan2a': {
	    'Text':
	    """    ,    .   ,  """\
	    """   ,    .  ,     , """\
	    """  ,           """\
	    """  .           """\
	    """  :   .      .""",
            'Answers': ['Una llave'],
	    'NewDlg': None
        },
	'Gworan3': {
	    'Text':
	     """.     .  ,     ,   """\
	     """  , ...""",
	    'ExtraDlg': ['Glofror',
	                 """,    !      , """\
	                 """     ..."""],
            'Answers': ['Leyendas'],
	    'NewDlg': None
        },
	'Gworan4': {
	    'Text':
	     """,    ,     ,. """\
	     """     . """\
	     """     .   ,    . """\
	     """   .     ...   ! """\
	     """  ,  ,       . """\
	     """,     ...""",
	    'ExtraDlg': ['Glofror',
	                 """,    !   ,   ,    . """\
	                 """ ....       ..."""],
            'Answers': ['Desfiladero'],
	    'NewDlg': None
        },
	'Coge lo que quieras': {
	    'Text':
	     """ .     ,     . """\
	     """     .   ,      """\
	     """   ...      .""",
	    'ExtraDlg': ['Glofror',
	                 """,  ,       !"""],
            'HideDelay':30, 
            'Answers': [],
	    'Journal': 'Gratis',
	    'NewDlg': None
        },
	'Sotano': {
	    'Text':
	     """ !     ! """\
	     """ ! ......,    ! """,
            'Answers': ['Que ha pasado'],
	    'NewDlg': 'Sotano'
        },
	'Ayuda a Glofror': {
	    'Text':
	     """   ! !    !""",
            'Answers': [],
            'CallBack':'LuchaEnLaPosada',
	    'NewDlg': None
        }
}
TSDB.Ans ["Elglar"]={
	'Gracias': {
	    'Text':
	     """   ,    ,      . """\
	     """   .   -   .""",
	    'NextDlg': 'Gworan',
	    'Enabled':1
        },
	'Qu es el Gworan': {
	    'Text':
	     """ ... ?""",
	    'NextDlg': 'Gworan1',
	    'Enabled':1
        },
	'No me has ofendido': {
	    'Text':
	     """  , .   ,    ?""",
	    'NextDlg': 'Gworan2',
	    'Enabled':1
        },
	'Araswen': {
	    'Text':
	     """ ...?      ...""",
	    'NextDlg': 'Gworan2a',
	    'Journal': 'Gworan',
	    'Enabled':1
        },
	'Una llave': {
	    'Text':
	     """...?""",
	    'NextDlg': 'Gworan3',
	    'Enabled':1
        },
	'Leyendas': {
	    'Text':
	     """,    ...""",
	    'NextDlg': 'Gworan4',
	    'Enabled':1
        },
	'Desfiladero': {
	    'Text':
	     """   ,      ...""",
	    'NextDlg': 'Coge lo que quieras',
            'CallBack':'UnPocoDeMusicaOFF', 
	    'Enabled':1
        },
	'Que ha pasado': {
	    'Text':
	     """ . ,  !""",
	    'NextDlg': 'Ayuda a Glofror',
	    'Enabled':1
        }
}

##-------------------------------------------------------------
## Damathar
##-------------------------------------------------------------

TSDB.Dlg ["Damathar"]={
	'Quien Eres': {
	    'Text':
	     """  ... ..  ...?... ...""",
            'Answers': ['Soy yo'],
	    'NewDlg': None
        },
	'Soy Damathar': {
	    'Text':
	     """ ,  .      ...""",
            'Answers': ['Continuad'],
	    'NewDlg': None
        },
	'Fracaso': {
	    'Text':
	     """    .... """\
	     """  ...        ,  """\
	     """    ...""",
            'Answers': ['QueLibro'],
	    'NewDlg': None
        },
	'Libro0': {
	    'Text':
	     """   .       .... """\
	     """    ,  ,    ...""",
            'Answers': ['Celebrimbor'],
	    'NewDlg': None,
        },
	'Libro1': {
	    'Text':
	     """.   .  . """\
	     """         ,   """\
	     """     .        ...""",
            'Answers': ['Donde'],
	    'NewDlg': None,
        },
	'Moria': {
	    'Text':
	     """   ...    -  -... .""",
            'Answers': ['Prisionero'],
	    'NewDlg': None,
        },
	'Desgraciado': {
	    'Text':
	     """   .     . """\
	     """,    ...     ,  ...""",	     	     
            'Answers': ['Vale'],
            'CallBack':'AddJournalEntry',
	    'NewDlg': None,
        },
	'MeMueroYPunto': {
	    'Text':
	     """      ,      .     , """\
	     """  ,   .    , ..   :  """\
	     """   .   , ,      . """\
	     """......""",
            'Answers': [],
            'HideDelay':11.7, 
            'CallBack':'FinConversacionQuienSoy',
	    'NewDlg': None,
        }
}

TSDB.Ans ["Damathar"]={
	'Soy yo': {
	    'Text':
	     """  . .  !    . """\
	     """     ? """,
	    'NextDlg': 'Soy Damathar',
	    'Enabled':1
        },
	'Continuad': {
	    'Text':
	     """...""",
	    'NextDlg': 'Fracaso',
	    'Enabled':1
        },
	'QueLibro': {
	    'Text':
	     """  ?   ,      ? """\
	     """     . ,   ?""",
	    'NextDlg': 'Libro0',
	    'Enabled':1
        },
	'Celebrimbor': {
	    'Text':
	     """ ,  .   ! """\
	     """   .   .    """\
	     """  .      . """\
	     """    .    ?""",
	    'NextDlg': 'Libro1',
	    'Journal': 'QuienSoy2',
	    'Enabled':1
        },
	'Donde': {
	    'Text':
	     """  ?  ?""",
	    'NextDlg': 'Moria',
	    'Enabled':1
        },
	'Prisionero': {
	    'Text':
	     """""",
	    'NextDlg': 'Desgraciado',
	    'Enabled':1
        },
	'Vale': {
	    'Text':
	     """     ,    ..., """\
	     """  -   ,    . """\
	     """ .      ,   ...""",
	    'NextDlg': 'MeMueroYPunto',
	    'Journal': 'Magia',
	    'Enabled':1
        }
}

###########################################################################
## Journal
###########################################################################

TSDB.JrlTxt = {
	'BuscaOrco':
	    """      .   """\
	    """   .""",
	'QuienSoy':
	    """     .     """\
	    """,   .    .""",
	'Adrinnor':
	    """     ,  """\
	    """     .""",
	'Gworan':
	    """      ,  """\
	    """ .       """\
	    """,  ,   . """\
	    """            """\
	    """  .""",
	'Gratis':
	    """    ,  ,   . """,
	'Facilon':
	    """  ,    .   """\
	    """  ,    .""",
	'QuienSoy2':
	    """  .    , """\
	    """  ,       , """\
	    """,     .   """\
	    """  ,   .     .  """\
	    """  .""",
	'Magia':
	    """   ,    .""",
	'Facilon2':
	   """    .""",
	'Facilon3':
	    """ ,    - .""",
	'Facilon4':
	    """   ,    """\
	    """ ,    ...   """\
	    """    .      """\
	    """.     ..."""
          }